#language: ru

@scp

Функционал: 003. SCP. Создание документов

Контекст: 
	Дано Я подключаюсь под "Администратор"

Сценарий: 003.0. SCP. Удаление старых документов
	
	Дано я удаляю объекты "Документы.ЗаказКлиента" без контроля ссылок
	Дано я удаляю объекты "Документы.к2Планирование_ПланПотребностей" без контроля ссылок
	Дано я удаляю объекты "Документы.к2ПредварительныйЗаказ" без контроля ссылок
	Дано я удаляю объекты "Документы.к2АкционныеОтгрузки" без контроля ссылок
	Дано я удаляю объекты "Документы.к2ЗаявкаНаПроизводство" без контроля ссылок
	Дано я удаляю объекты "Документы.к2ЗаказНаПеремещение" без контроля ссылок
	Дано я удаляю объекты "Документы.к2ЗаявкаНаЗакупку" без контроля ссылок

Сценарий: 003.1. SCP. Загрузка заказов
	
	И Я загружаю заказы клиента из файла

Сценарий: 003.2. SCP. Загрузка заказов

	И В командном интерфейсе я выбираю 'Планирование' 'Отчеты по планированию'
	Тогда я жду открытия окна 'Отчеты по планированию операций' в течение 20 секунд
	И я нажимаю на гиперссылку 'Анализ заказов (кросс-таблица)'
	Тогда я жду открытия окна 'Анализ заказов (кросс-таблица)' в течение 20 секунд
	Дано Я в отчете устанавливаю период '24.08.2020' '01.09.2020'
	И из выпадающего списка "Периодичность" я выбираю точное значение 'День'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И я жду когда в табличном документе 'ОтчетТабличныйДокумент' заполнится ячейка 'R5C1' в течение 20 секунд
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "РезультатЗагрузкиЗаказовКлиента"
	И Я закрываю окно 'Анализ заказов (кросс-таблица)'
	Тогда я жду открытия окна 'Отчеты по планированию операций' в течение 20 секунд
	И Я закрываю окно 'Отчеты по планированию операций'

